Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Public Attributes | List of all members
eZ\Publish\Core\FieldType\RichText\Value Class Reference

Value for RichText field type. More...

Inheritance diagram for eZ\Publish\Core\FieldType\RichText\Value:

## Public Member Functions
| __construct ($xml=null)
| Initializes a new RichText Value object with $xmlDoc in. More...
| __toString ()
Public Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
| __construct (array $properties=[])
| Construct object optionally with a set of properties. More...
| __set ($property, $value)
| Magic set function handling writes to non public properties. More...
| __get ($property)
| Magic get function handling read to non public properties. More...
| __isset ($property)
| Magic isset function handling isset() to non public properties. More...
| __unset ($property)
| Magic unset function handling unset() to non public properties. More...
| attribute ($property)
| Internal function for Legacy template engine compatibility to get property value. More...
| attributes ()
| Internal function for Legacy template engine compatibility to get properties. More...
| hasAttribute ($property)
| Internal function for Legacy template engine compatibility to check existence of property. More...

## Public Attributes
const | EMPTY_VALUE =
| $xml

## Additional Inherited Members
Static Public Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
static | __set_state (array $array)
| Returns a new instance of this class with the data specified by $array. More...
Protected Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
| getProperties ($dynamicProperties=[])
| Function where list of properties are returned. More...

## Detailed Description

Value for RichText field type.

Deprecated:
  since 7.4, use \EzSystems\EzPlatformRichText\eZ\FieldType\RichText\Value from EzPlatformRichTextBundle.

Definition at line 17 of file Core/FieldType/RichText/Value.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\FieldType\RichText\Value::__construct | ( |  | $xml = `null` | ) |

Initializes a new RichText Value object with $xmlDoc in.

Parameters

  \DOMDocument | string | $xml |

Definition at line 36 of file Core/FieldType/RichText/Value.php.

References eZ\Publish\Core\FieldType\RichText\Value\$xml.

## Member Function Documentation

## ◆ __toString()

eZ\Publish\Core\FieldType\RichText\Value::__toString | ( |  | ) |

See also
  \eZ\Publish\Core\FieldType\Value

Reimplemented from eZ\Publish\Core\FieldType\Value.

Definition at line 49 of file Core/FieldType/RichText/Value.php.

## Member Data Documentation

## ◆ $xml

eZ\Publish\Core\FieldType\RichText\Value::$xml

Definition at line 29 of file Core/FieldType/RichText/Value.php.

Referenced by eZ\Publish\Core\FieldType\RichText\Value\__construct().

## ◆ EMPTY_VALUE

const eZ\Publish\Core\FieldType\RichText\Value::EMPTY_VALUE =

Definition at line 19 of file Core/FieldType/RichText/Value.php.

The documentation for this class was generated from the following file:

- Core/FieldType/RichText/Value.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.